### Schema: google.protobuf.Any Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for google.protobuf.Any ```markdown ## Schema: google.protobuf.Any Schema definition for google.protobuf.Any **Type:** object - **@type** (string) ``` -------------------------------- ### Schema: compiuta.domain.authz.Pair Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.domain.authz.Pair ```markdown ## Schema: compiuta.domain.authz.Pair Schema definition for compiuta.domain.authz.Pair **Type:** object - **resource** (string) - **action** (string) ``` -------------------------------- ### API Overview: introspect Source: https://connhex.com/api/iam/latest/introspect/api.json OpenAPI specification version 1.0.0 ```yaml # introspect # Version: 1.0.0 OpenAPI specification # Base URL: https://apis. ``` -------------------------------- ### Schema: compiuta.api.iam.v2.MethodsAllowed Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.api.iam.v2.MethodsAllowed ```markdown ## Schema: compiuta.api.iam.v2.MethodsAllowed Schema definition for compiuta.api.iam.v2.MethodsAllowed **Type:** object - **get** (boolean) - **put** (boolean) - **post** (boolean) - **delete** (boolean) - **patch** (boolean) ``` -------------------------------- ### Schema: google.rpc.Status Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for google.rpc.Status ```markdown ## Schema: google.rpc.Status Schema definition for google.rpc.Status **Type:** object - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.IntrospectPairsResp Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.api.iam.v2.IntrospectPairsResp ```markdown ## Schema: compiuta.api.iam.v2.IntrospectPairsResp Schema definition for compiuta.api.iam.v2.IntrospectPairsResp **Type:** object - **pairs** (array (compiuta.domain.authz.Pair)) Array items: - **resource** (string) - **action** (string) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.IntrospectPairsReq Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.api.iam.v2.IntrospectPairsReq ```markdown ## Schema: compiuta.api.iam.v2.IntrospectPairsReq Schema definition for compiuta.api.iam.v2.IntrospectPairsReq **Type:** object - **pairs** (array (compiuta.domain.authz.Pair)) Array items: - **resource** (string) - **action** (string) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.IntrospectReq Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.api.iam.v2.IntrospectReq ```markdown ## Schema: compiuta.api.iam.v2.IntrospectReq Schema definition for compiuta.api.iam.v2.IntrospectReq **Type:** object - **path** (string) - **parameters** (array (string)) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.IntrospectResp Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.api.iam.v2.IntrospectResp ```markdown ## Schema: compiuta.api.iam.v2.IntrospectResp Schema definition for compiuta.api.iam.v2.IntrospectResp **Type:** object - **endpoints** (object) ``` -------------------------------- ### Schema: compiuta.api.iam.v2.IntrospectSomeReq Source: https://connhex.com/api/iam/latest/introspect/api.json Schema definition for compiuta.api.iam.v2.IntrospectSomeReq ```markdown ## Schema: compiuta.api.iam.v2.IntrospectSomeReq Schema definition for compiuta.api.iam.v2.IntrospectSomeReq **Type:** object - **paths** (array (string)) ``` -------------------------------- ### Security: chx_auth_session Source: https://connhex.com/api/iam/latest/introspect/api.json Security scheme: chx_auth_session ```markdown ## Security: chx_auth_session **Description:** Security scheme: chx_auth_session **Type:** apiKey ``` -------------------------------- ### Security: bearer Source: https://connhex.com/api/iam/latest/introspect/api.json Security scheme: bearer ```markdown ## Security: bearer **Description:** Security scheme: bearer **Type:** http **Scheme:** bearer ``` -------------------------------- ### POST /iam/introspect_pairs Source: https://connhex.com/api/iam/latest/introspect/api.json API endpoint for POST /iam/introspect_pairs ```markdown ### Request Body **Content-Type:** application/json - **pairs** (array (compiuta.domain.authz.Pair)) Array items: - **resource** (string) - **action** (string) ### Responses #### 200 - A successful response. **compiuta.api.iam.v2.IntrospectPairsResp** - **pairs** (array (compiuta.domain.authz.Pair)) Array items: - **resource** (string) - **action** (string) #### default - An unexpected error response. **google.rpc.Status** - **code** (integer (int32)) - **message** (string) - **details** (array (google.protobuf.Any)) Array items: - **@type** (string) ### Example Usage ```bash curl -X POST "https://apis./iam/introspect_pairs" \ -H "Content-Type: application/json" \ -d '{ "pairs": [ "value" ] }' ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.